Subject: [TR] Title dates

From: John Macartney <[email-masked]>
Date: Mon, 15 Dec 2025 20:01:29 +0000

There’s a reason - usually the same one - why some cars have a longer than expected “slack” period between build date and title date. I know some people are curious as to why this happened. Rather than bombard the list with a lengthy explanation that may be of little interest to most people, I’ll do a feature if anyone would like me to? Essentially, it all boils down to something called a CILC or a Confirmed Irrevocable Letter of Credit. Do I sharpen my quill pen or should I let a sleeping dog lie?

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]